# Slint Software License

Version 3.0

## Preamble

Slint is a toolkit that can be used to build user interfaces for applications. Slint (hereafter referred to as **Software**) is made available under different licenses by SixtyFPS GmbH incorporated at Oranienburger Str. 44, 16540 Hohen Neuendorf, Germany (**SixtyFPS**). The **Slint Software License** is suitable for those who do not want to use open source components under copyleft licenses.

## 1. Grant of Rights

SixtyFPS hereby grants You a world-wide, non-exclusive license to use, reproduce, make available, modify, display, perform, distribute the Software as part of a Desktop, Mobile, or Web Application or as part of an Embedded System (each of which is defined below).

A **Desktop Application** is a computer program that is designed to run on a general-purpose computer (PC or notebook), typically installed and executed locally on the computer's operating system.

A **Mobile Application** is a computer program that is designed to run on a general-purpose mobile computer (mobile phone or tablet), typically installed and executed locally on the computer's operating system.

A **Web Application** is a computer program that is designed to run in the sandbox environment provided by a web browser.

An **Embedded System** is a computer system designed to perform a specific task within a larger mechanical or electrical system.

Desktop Application, Mobile Application, and Web Application are hereafter referred to as **Application**.

## 2. License Conditions

The grant of rights in section 1 are conditional, provided that You do all of the following:

(a) You have purchased an appropriate **Pricing Plan** (*Startup & Individual* / *Small Enterprise* / *Enterprise*) and the required amount of seats to cover all individual users of the Software associated with the designing, developing, or testing your Application or Embedded System. For clarity, each individual user is counted as one seat.

(b) In the case that You are distributing the Software as as part of an Embedded System, You have purchased an appropriate quantity of **Royalties**, one Royalty for each Embedded System.

(c) You have fully paid all applicable fees (**Fees**) pursuant to Section 6.

*Startup & Individual Plan* is limited to individuals as well as individual companies with a staff headcount of less than 10 with either turnover or balance sheet of 2MEUR or less.

*Small Enterprise Plan* is limited to individual companies with a staff headcount of less than 50 with either turnover or balance sheet of 10MEUR or less.

*Enterprise Plan* is available to all individuals and individual companies.

## 3. Limitations

The License does not permit to distribute or make the Software publicly available alone and without integration into an Application or into an Embedded System. For this purpose you may use the Software under the GNU General Public License, version 3.

The License is limited to only the versions of Software that were made available to you under the purchased Pricing Plan. For all other versions, you may use the Software under either the GNU General Public License, version 3 or the Slint Royalty-free Desktop, Mobile, and Web Applications License.

The License does not permit the distribution of Application that exposes the APIs, in part or in total, of the Software.

You may not remove or alter any license notices (including copyright notices, disclaimers of warranty, or limitations of liability) contained within the source code form of the Software.

## 4. Warranty and Liability

SixtyFPS is only liable for conflicting rights of third parties if SixtyFPS was aware of these rights without informing you. Unless required by applicable law or agreed to in writing, SixtyFPS provides the Software on an "as is" basis, without warranties or conditions of any kind, either express or implied, including, without limitation, any warranties or conditions of merchantability, or fitness for a particular purpose.

Unless required by law, SixtyFPS won't be liable for any direct, indirect, incidental, or consequential damages arising in any way out of the use of the Software.

## 5. Audit Rights

SixtyFPS or an independent certified auditor on SixtyFPS's behalf, may, upon its reasonable request, with 30 (thirty) days written notice, and at its sole expense, examine your books and records solely with respect to your use of the Software. Any such audit shall be conducted during regular business hours at your facilities and shall not unreasonably interfere with your business activities. The auditor shall not remove, copy, or redistribute any electronic material during an audit. If an audit reveals that you are using the Software in a way that is in material violation of the terms of this License, then you shall pay SixtyFPS reasonable costs of conducting the audit. The auditor shall only be allowed to report violations of the terms of this License, with a copy to you. You shall be provided the right to provide comments to the report before it is finalized.

## 6. Payment Terms

(a) Fees will be payable upon receipt of an invoice, except for Fees that are disputed in good faith for reasons articulated in writing by You, within thirty (30) days after receiving such invoice.

(b) Any unpaid Fees will become overdue 30 (thirty) days from the date of the applicable invoice and be subject to a 5% (five percent) late fee for each month of delayed payment, with each such 5% (five percent) late fees attaching to such unpaid amounts at the first day of each 30 (thirty) days time increments beginning on the first day that such amounts become overdue.

(c) Fees are exclusive of any and all taxes, including but not limited to VAT and withholding tax, duties, customs, and bank charges, for which You shall be solely responsible.

(d) No term or condition contained in your purchase order will apply unless expressly accepted by SixtyFPS in writing.

## 7. Termination

(a) SixtyFPS may terminate this License if You materially breach any obligation hereunder, provided You have been provided notice of such breach and an opportunity to cure such breach during a period of not less than sixty (60) days following such notice.

(b) You may terminate this License with or without cause upon no less than thirty (30) days advance written notice to SixtyFPS and upon payment of any unpaid Fees and contractual penalties.

(c) Upon termination of this License, You will immediately cease using, reproducing, making available, modifying, displaying, performing, distributing the Software and pay immediately any unpaid Fees and contractual penalties.

(d) Sections 3 through 10 of this License will survive any termination of the License to the extent necessary to implement their objectives.

## 8. Assignment

You may assign this License, in whole or in part (whether by operation of law or otherwise), with prior consent from SixtyFPS, which shall not be unreasonably withheld or delayed. SixtyFPS may assign any of its rights hereunder or delegate any of its obligations hereunder with prior notice to You. Any attempt to assign this License other than in accordance with this Section 8 shall be null and void.

## 9. Severability

In the event that any provision of this License will, for any reason, be determined by any court of competent jurisdiction to be invalid, illegal or unenforceable in any respect, such invalidity, illegality or unenforceability will be interpreted as closely as possible so as not affect any other provision of this License, and such provision will further be modified by said court to permit its enforcement to the maximum extent permitted by law.

## 10. Governing Law

This Agreement shall be construed, interpreted, and governed by the laws of the Federal Republic of Germany.
